## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanStdOutputStream Class Reference

Inheritance diagram for XalanStdOutputStream:

[legend]
Collaboration diagram for XalanStdOutputStream:

[legend]
List of all members.

## Public Types

- typedef std::ostream StreamType
- typedef std::streamsize StreamSizeType

## Public Member Functions

- XalanStdOutputStream (StreamType &theOutputStream, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a XalanStdOutputStream instance for output to the standard output device.
- virtual ~XalanStdOutputStream ()

## Static Public Member Functions

- XalanStdOutputStream * create (StreamType &theOutputStream, MemoryManagerType &theManager)

## Protected Member Functions

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer.
- virtual void doFlush ()
    Flush the stream.

## Member Typedef Documentation

typedef std::streamsize XalanStdOutputStream::StreamSizeType

typedef std::ostream XalanStdOutputStream::StreamType

## Constructor & Destructor Documentation

XalanStdOutputStream::XalanStdOutputStream | ( | StreamType & | theOutputStream,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

  | Construct a XalanStdOutputStream instance for output to the standard output device. Parameters:
  theOutputStream | output stream to use

virtual XalanStdOutputStream::~XalanStdOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

XalanStdOutputStream* XalanStdOutputStream::create | ( | StreamType & | theOutputStream,
|  | MemoryManagerType & | theManager
| ) | `[static]`

virtual void XalanStdOutputStream::doFlush | ( |  | ) | `[protected, virtual]`

| Flush the stream. Implements XalanOutputStream.

virtual void XalanStdOutputStream::writeData | ( | const char * | theBuffer,
|  | size_type | theBufferLength
| ) | `[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Implements XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanStdOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.